---
# Install element (https://element.io/download#linux)

- name: Download element apt key
  get_url:
    url: "{{ ELEMENT_KEYRING_URL }}"
    dest: "{{ ELEMENT_KEYRING_PATH }}"
    mode: "0644"

- name: Add element apt repo
  template:
    src: element-io.list
    dest: "{{ ELEMENT_APT_SOURCES_PATH }}"
    mode: "0644"

- name: Update apt cache
  apt:
    update_cache: True
    lock_timeout: "{{ APT_LOCK_TIMEOUT }}"
  changed_when: False

- name: Install element
  apt:
    package: "{{item}}"
    state: present
    lock_timeout: "{{ APT_LOCK_TIMEOUT }}"

  loop:
    - element-desktop
